## stubble 3

=== debian/changelog ===
stubble (3-1) unstable; urgency=medium

  * Initial release. (Closes: #1112063)

 -- Christopher Obbard <obbardc@debian.org>  Mon, 25 Aug 2025 20:30:42 +0100
