=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: stubble
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Tobias Heider <tobias.heider@canonical.com>
+Uploaders: Christopher Obbard <obbardc@debian.org>
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Vcs-Git: https://github.com/canonical/stubble
-Vcs-Browser: https://github.com/canonical/stubble.git
+Vcs-Git: https://salsa.debian.org/debian/stubble
+Vcs-Browser: https://salsa.debian.org/debian/stubble.git
 Homepage: https://github.com/canonical/stubble
 Build-Depends: debhelper-compat (=13),
                python3-pyelftools
