## stubble 4

=== debian/changelog ===
stubble (4-0ubuntu2) questing; urgency=low

  * stubble-kernel support with dynamic dtbs.

 -- Andy Whitcroft <apw@canonical.com>  Fri, 19 Sep 2025 14:03:47 +0100

stubble (4-0ubuntu1) questing; urgency=medium

  * New upstream version v4
    - Add new HWIDS:
      + ThinkPad T14s LCD touchscreen panel (BOE0c26)
      + Thinkpad T14s OLED panel (SDC419f)
      + x1e80100-hp-elitebook-ultra-g1q
    - hwids: T14s: default to LCD dtb if no EDID info is matching
    - Upstream moved to ubuntu/stubble
    - Add finddtbs.py helper script to find dtbs based on hwids/json

  * New upstream version v3
    - Added new HWIDs:
       + x1e78100-lenovo-thinkpad-t14s (lcd/oled)
       + x1e80100-asus-zenbook-a14 (lcd/oled)
       + x1e80100-dell-inspiron-14-plus-7441
       + x1e80100-microsoft-denali
       + x1e80100-microsoft-romulus13
       + x1e80100-microsoft-romulus15
       + x1p42100-hp-omnibook-x14
       + x1p64100-acer-swift-sf14-11
    - Fixed linux loader path
    - Don't falsely mark stubble.elf NX compatible
    - Changed default behaviour when a dtb is already loaded to find a matching
      embedded dtb by "compatible". This can be changed with the new
      stubble.dtb_override=bool command line option

 -- Tobias Heider <tobias.heider@canonical.com>  Thu, 04 Sep 2025 11:59:17 +0200
