=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_clean:
	dh_clean
	sed -e "s,@DEBIAN_VERSION@,$(DEB_VERSION)," \
	    -e "s,@UPSTREAM_VERSION@,$(DEB_VERSION_UPSTREAM)," \
	    debian/sbat.in > debian/sbat
