## stubble 7

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 # SPDX-License-Identifier: LGPL-2.1-or-later
 
+ARCH?=		$(shell uname -m)
+PREFIX?=	/usr/local
+MIN_SECTIONS?=2048
+
 include ./Make.defaults
-
-ARCH?=		$(shell uname -m)
-PREFIX?=	/usr
 
 ifeq ($(ARCH),x86_64)
 	CFLAGS += -m64 -march=x86-64 -mno-red-zone -mgeneral-regs-only -maccumulate-outgoing-args
@@ -26,7 +27,7 @@
 stubble.efi: stubble
 	./elf2efi.py --version-major=6 --version-minor=16 \
 	    --efi-major=1 --efi-minor=1 --subsystem=10 \
-	    --minimum-sections=50 \
+	    --minimum-sections=${MIN_SECTIONS} \
 	    --copy-sections=".sbat" $< $@
 
 stubble: $(OBJS)
