=== debian/changelog ===
stubble (7-2) unstable; urgency=medium

  * Ship finddtbs.py, declare conflict with stubble-kernel from Ubuntu

 -- Tobias Heider <tobias.heider@canonical.com>  Mon, 09 Feb 2026 13:22:35 +0100

stubble (7-1) unstable; urgency=medium

  [ Nino ]
  * Add EDID for touchscreen ThinkPad T14s Gen 6 21N1000RMH

  [ Tobias Heider ]
  * hwid: Add extra T14s OLED hwids from obbardc
  * hwids: T14s: default to lcd dtb if no EDID info is matching
  * hwid: Add HP EliteBook Ultra G1q
  * Add microsoft,denali-oled dump from Jérôme de Bretagne
  * parse_cmdline: cmdline can be NULL, don't fail hard
  * Makefile: Default to /usr/local PREFIX to not conflict with package
  * stubble changed the default prefix to /usr/local so explicitly set /usr
  * upstream moved from canonical/stubble to ubuntu/stubble
  * Enable riscv64 which should work with the latest release

  [ Juerg Haefliger ]
  * hwids: Add LENOVO ThinkPad X13s Gen 1 4810QL0100
  * hwid2json.py: Add a trailing newline to the output files

  [ Jens Glathe ]
  * hwids: add Acer Swift Go 14 AI
  * hwids: add ASUS Vivobook S15 x1p42100 variant
  * hwids: add Lenovo Ideapad 5 2in1 14Q8X9
  * hwids: add Lenovo Ideapad 5 Slim5x 14q8x9
  * hwids: Lenovo Ideapad Slim 5: distinguish between OLED and LCD model
  * hwids: add Lenovo Thinkbook 16 G7 QOY
  * hwids: add Microsoft Surface Pro 12"

  [ James Addison ]
  * hwids: Add Medion SPRCHRGD 14 S1 Elite

  [ npnh2 ]
  * hwids: Add Acer Swift 14 Go Pro AI (SFA14-11)
  * hwids: Add Acer Swift 14 Go Pro AI compatible

  [ Heinrich Schuchardt ]
  * Make.defaults: correct build flags for riscv64
  * Makefile: raise minimum number of sections

  [ Wei-Lin Chang ]
  * efi-log: Call ourselves stubble

 -- Tobias Heider <tobias.heider@canonical.com>  Thu, 05 Feb 2026 13:31:40 +0100
