=== debian/control ===
Source: stubble
Section: admin
Priority: optional
Maintainer: Tobias Heider <tobias.heider@canonical.com>
Uploaders: Christopher Obbard <obbardc@debian.org>
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/stubble
Vcs-Browser: https://salsa.debian.org/debian/stubble.git
Homepage: https://github.com/ubuntu/stubble
Build-Depends: debhelper-compat (=13),
               python3-pyelftools

Package: stubble
Architecture: amd64 arm64 riscv64
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, python3-libfdt
Conflicts: stubble-kernel (<< 7-1)
Suggests: systemd-ukify
Description: UEFI kernel stub with device-tree loading capability
 Small Linux kernel EFI boot stub bundling device trees, a CHID database
 and the kernel. The stub finds a matching device tree based on CHIDs
 generated from SMBIOS and loads it before executing the embedded kernel.
