=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 %:
-	dh $@
+	PREFIX=/usr dh $@
 
 override_dh_clean:
 	dh_clean
